Support » Plugin: Login Widget With Shortcode » Sorry, your nonce did not verify.

  • The login widget is no longer working with the newest version of wordpress. Now when users login I get an error: Sorry, your nonce did not verify.

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • I can confirm this error.

    I receive the same error.

    A workaround that works for me is to rollback to version 5.77 from the problematic v5.84

    Plugin Author aviplugins.com

    (@avimegladon)

    The nonce validation is there for security reasons.

    This error can occur if you stay for a long time in the login page and then submit the login form. Because the at that time the Nonce code gets expired. After the refresh a new code is generated and the login will work fine.

    Nonce expiration time can be increased using filters.

    add_filter( ‘nonce_life’, function () { return 4 * HOUR_IN_SECONDS; } );

    But as more users are getting this issue I will add option in the plugin settings to disable this check in the next update.

    After updating to new version, if I login using Safari or Firewfox, I am redirected to: https://domainname/?wc-ajax=get_refreshed_fragments

    So, back to the earlier version or find some code elsewhere that works.

    Plugin Author aviplugins.com

    (@avimegladon)

    It seems there is conflict with WooCommerce plugin.

    Are you using the latest version of the WooCommerce plugin? Are you using any other add-on plugin for WooCommerce?

    You can check the Article to get more information about the issue.

    https://www.webnots.com/fix-slow-page-loading-with-woocommerce-wc-ajaxget_refreshed_fragments/

    Or you can try to disable the script by adding the below code in your theme’s functions.php file and check if that solves the issue.

    /** Disable Ajax Call from WooCommerce */
    add_action( ‘wp_enqueue_scripts’, ‘dequeue_woocommerce_cart_fragments’, 11);
    function dequeue_woocommerce_cart_fragments() { wp_dequeue_script(‘wc-cart-fragments’); }

    Plugin Author aviplugins.com

    (@avimegladon)

    And please update the plugin to the latest version to solve the Nonce validation issue.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Sorry, your nonce did not verify.’ is closed to new replies.